## bullet 2.77-2

=== debian/changelog ===
bullet (2.77-2) UNRELEASED; urgency=low

  * add bullet.pc for libbullet-dev

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Tue, 21 Dec 2010 23:49:35 +0300

bullet (2.77-1) UNRELEASED; urgency=low

  * update to upstream version

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Tue, 21 Dec 2010 23:02:25 +0300

bullet (2.73-sp1.dfsg-1) UNRELEASED; urgency=low

  * Initial release, thanks Wen-Yen Chuang (Closes: #476284)
  * DFSG: drop the Externals directory

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 15 Feb 2009 13:57:02 +0100
