=== debian/control ===
Source: bullet
Section: libdevel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: 
Build-Depends: debhelper (>= 7), cmake, freeglut3-dev, zlib1g-dev, quilt,
 libglut3-dev, libglui-dev
Standards-Version: 3.8.0
Homepage: http://www.bulletphysics.com/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/bullet/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/bullet/?op=log

Package: libbullet2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a 3D physics library - development files
 Bullet is a professional open source multi-threaded 3D Collision Detection and
 Rigid Body Dynamics Library.
 .
 The library is being used by several professional game developers on PC,
 PlayStation 3, XBox 360 and Nintendo Wii.
 .
 Bullet is native part of Blender 3D modeler and it supports COLLADA Physics
 file format.
 .
 This package provides the share library.


Package: libbullet-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a 3D physics library - development files
 Bullet is a professional open source multi-threaded 3D Collision Detection and
 Rigid Body Dynamics Library.
 .
 The library is being used by several professional game developers on PC,
 PlayStation 3, XBox 360 and Nintendo Wii.
 .
 Bullet is native part of Blender 3D modeler and it supports COLLADA Physics
 file format.
 .
 This package provides development files.
