=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

Makefile: patch
	dh_testdir
	cmake -DCMAKE_INSTALL_PREFIX=/usr  -DBUILD_SHARED_LIBS=true -DBUILD_EXTRAS=no -DBUILD_DEMOS=no .
	#./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp

build-stamp: Makefile 
	dh_testdir
	$(MAKE)
	touch $@

clean: clean1 unpatch 
clean1:
	dh_testdir
	dh_testroot
	rm -rf build-stamp CMakeFiles
	[ ! -f Jamfile ] || jam -q distclean
	dh_clean bvh.bin bullet.pc file_convex.obj

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress --exclude=BulletSpuOptimized.pdf --exclude=Bullet_Faq.pdf --exclude=Bullet_User_Manual.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install clean1 patch
