=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// \
  http://code.google.com/p/bullet/downloads/list http:\/\/bullet\.googlecode\.com\/files\/bullet-(.*)\.tgz
