=== debian/changelog ===
bullet (2.80+sp1+dfsg-0ubuntu1) quantal; urgency=low

  * Initial release

 -- Michael Terry <mterry@ubuntu.com>  Sat, 21 Jul 2012 00:15:41 -0400
