=== debian/control ===
Source: bullet
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Homepage: http://bulletphysics.org/
Build-Depends: cmake,
               debhelper (>= 9),
Standards-Version: 3.9.3

Package: libbullet2.80
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Bullet 3D Game Multiphysics Library
 Bullet 3D Game Multiphysics Library provides state of the art collision
 detection, soft body and rigid body dynamics.
 .
 * Used by many movie and game companies in AAA titles on Playstation 3, XBox
   360, Nintendo Wii, PC and iPhone
 * Modular extendible C++ design with hot-swap of most components
 * Optimized back-ends for pthreads/Win32 Threads multi-threading and PS3 Cell
   SPU
 * Preparation for OpenCL data parallel optimizations for upcoming Bullet 3.x

Package: libbullet-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libbullet2.80 (= ${binary:Version}),
Description: Development files for the Bullet 3D Game Multiphysics Library
 Bullet 3D Game Multiphysics Library provides state of the art collision
 detection, soft body and rigid body dynamics.
 .
 * Used by many movie and game companies in AAA titles on Playstation 3, XBox
   360, Nintendo Wii, PC and iPhone
 * Modular extendible C++ design with hot-swap of most components
 * Optimized back-ends for pthreads/Win32 Threads multi-threading and PS3 Cell
   SPU
 * Preparation for OpenCL data parallel optimizations for upcoming Bullet 3.x
 .
 This package contains the header and development files needed to build
 programs and packages using Bullet.
