=== debian/watch ===
version=3
opts=dversionmangle=s/\+sp[0-9]+//;s/\+dfsg// \
http://code.google.com/p/bullet/downloads/list .*/bullet-(.+)-rev[0-9]+\.tgz
